POST
/
payments
Create a payment
curl --request POST \
  --url https://api.balansas.com/functions/v1/customer-api/payments \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "fromAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 5000000,
  "reference": "<string>",
  "toAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paymentScheme": "<string>",
  "payeeVerificationId": "<string>",
  "umbrellaLinkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "3f2e1d0c-9b8a-4765-a4b3-2c1d0e9f8a7b",
    "frPaymentId": "pmt_2rl497gm9rg37g5ykv",
    "status": "pending",
    "amount": "100.00",
    "currency": "EUR",
    "reference": "Invoice 4471",
    "transactionType": "payment",
    "createdAt": "2026-05-28T10:21:44.000Z"
  }
}

Authorizations

x-api-key
string
header
required

Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).

Body

application/json
fromAccountId
string<uuid>
required
amount
required
Required range: 0 < x <= 10000000
currency
enum<string>
required
Available options:
USD,
EUR,
GBP
reference
string
required
Required string length: 1 - 200
fromAccountType
enum<string>
Available options:
FIAT_ACCOUNT,
VIRTUAL_ACCOUNT
toAccountId
string<uuid>
payeeId
string<uuid>
paymentScheme
string
Maximum string length: 50
payeeVerificationId
string

Response

Success

data
object
required